// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef UTIL_H
#define UTIL_H

//
// Convert strings with escape sequences
//
void IdlAddEscapes(char*&, bool);
bool IdlRemoveEscapes(char*&, bool); // Returns false if string contains \0

//
// Check for recursion
//
bool IdlCheckForRecursion(const char*, CORBA_TypeCode_ptr);

#endif
